---
title: PushManager.permissionState()
slug: Web/API/PushManager/permissionState
tags:
  - API
  - Experimental
  - Method
  - PushManager
  - Reference
  - Référence(2)
  - Service Workers
  - permissionState
---
<p>{{SeeCompatTable}}{{ApiRef("Push API")}}</p>

<p>The <strong><code>permissionState()</code></strong> method of the {{domxref("PushManager")}} interface returns a {{jsxref("Promise")}} that resolves to a {{domxref("DOMString")}} indicating the permission state of the push manager. Possible values are  <code>'prompt'</code>, <code>'denied'</code>, or <code>'granted'</code>.</p>

<div class="note">
<p><strong>Note</strong>: As of Firefox 44, the permissions for <a href="/en-US/docs/Web/API/Notifications_API">Notifications</a> and <a href="/en-US/docs/Web/API/Push_API">Push</a> have been merged. If permission is granted for notifications, push will also be enabled.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">PushManager.permissionState(options).then(function(PushMessagingState) { ... });
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>options {{optional_inline}}</code></dt>
 <dd>An object containing optional configuration parameters. It can have the following properties:
 <ul>
  <li><code>userVisibleOnly</code>: A boolean indicating that the returned push subscription will only be used for messages whose effect is made visible to the user.</li>
  <li><code>applicationServerKey</code>: A public key your push server will use to send messages to client apps via a push server. This value is part of a signing key pair generated by your application server and usable with elliptic curve digital signature (ECDSA) over the P-256 curve. </li>
 </ul>
 </dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves to a {{domxref("DOMString")}} with a value of <code>'prompt'</code>, <code>'denied'</code>, or <code>'granted'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API','#dom-pushmanager-permissionstate','permissionState()')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.PushManager.permissionState")}}</p>
</div>
</div>
